// AliensGame.java

import ch.aplu.jgamegrid.*;
import java.awt.*;

public class AliensGame extends GameGrid implements GGActorCollisionListener
{
  public AliensGame()
  {
    super(600, 600, 1, null, "sprites/town.jpg", false);
    setTitle("Move dart with mouse to pick the aliens");
    setSimulationPeriod(50);
    playSound(this, GGSound.DUMMY);
    getBg().clear(new Color(182, 220, 250));

    Dart dart = new Dart();
    addActor(dart, new Location(100, 300));
    addMouseListener(dart, GGMouse.lDrag);
    dart.setCollisionSpot(new Point(30, 0)); // Endpoint of dart needle

    Actor alien = new Alien();
    addActor(alien, new Location(300, 250));
    dart.addCollisionActor(alien);
    dart.addActorCollisionListener(this);
  
    show();
    doRun();
  }

  public int collide(Actor actor1, Actor actor2)
  {
    actor2.removeSelf(); // actor2 is an alien
    playSound(this, GGSound.PING);
    return 0;
  }

  public static void main(String[] args)
  {
    new AliensGame();
  }
}
